package jp.sourceforge.asclipse.as3.internal.element;

import jp.sourceforge.asclipse.as3.element.AS3MxmlEmbeddedRoot;

/**
 * MXMLから外部化されたActionScriptファイル用のRootElementの実装。
 * <p>packageもclassも無く、いきなりclassElementが登場する状況。</p>
 * @author shin1ogawa
 */
@SuppressWarnings("serial")
public class DefaultAS3MxmlEmbeddedRoot extends AbstractAS3Root implements AS3MxmlEmbeddedRoot {

	/**
	 * Constructor.
	 * @param startLine
	 * @param startCharPositionInLine
	 * @param endLine
	 * @param endCharPositionInLine
	 * @category constructor
	 */
	public DefaultAS3MxmlEmbeddedRoot(int startLine, int startCharPositionInLine, int endLine,
			int endCharPositionInLine) {
		super(startLine, startCharPositionInLine, endLine, endCharPositionInLine);
	}

	public String getOutlineTitle() {
		return "";
	}

	public String getTitle() {
		return "";
	}
}
